Public Class peopletile
    Private player21 As New MediaPlayer()

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Dim pezp As New peoplehub
        pezp.Show()
    End Sub

    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            peoplgird.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        Dim peepztileuaTimer = New System.Windows.Threading.DispatcherTimer()
        AddHandler peepztileuaTimer.Tick, AddressOf peepztileuaTimer_Tick
        peepztileuaTimer.Interval = New TimeSpan(0, 0, 1)
        peepztileuaTimer.Start()
    End Sub

    Private Sub peepztileuaTimer_Tick(sender As Object, e As EventArgs)

        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            peoplgird.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub


    Private Sub PlayAccentSound()
        Try
            player21.Volume = 1.0
            player21.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player21.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try

    End Sub
End Class
